cURL
curl -X GET "https://api.getcatalog.ai/v1/usage?period=7d&page_size=5" \
-H "x-api-key: $CATALOG_API_KEY"
const response = await fetch('https://api.getcatalog.ai/v1/usage?period=7d&page_size=5', {
method: 'GET',
headers: {
'x-api-key': 'YOUR_API_KEY'
}
});
const data = await response.json();
import requests
response = requests.get(
'https://api.getcatalog.ai/v1/usage?period=7d&page_size=5',
headers={
'x-api-key': 'YOUR_API_KEY'
}
)
data = response.json()
{
"data": [
{
"path": "/v1/listings",
"total_calls": 9
},
{
"path": "/v1/affiliate",
"total_calls": 8
},
{
"path": "/v1/vendors",
"total_calls": 6
},
{
"path": "/v1/agentic-search",
"total_calls": 4
},
{
"path": "/v1/collections",
"total_calls": 4
}
],
"pagination": {
"page": 1,
"page_size": 5,
"total_items": 16,
"total_pages": 4,
"has_next": true,
"has_prev": false
},
"meta": {
"period": "7d"
}
}
API Reference
Get API Usage Statistics
Get credit usage and API call statistics. Shows request counts by endpoint.
GET
/
v1
/
usage
cURL
curl -X GET "https://api.getcatalog.ai/v1/usage?period=7d&page_size=5" \
-H "x-api-key: $CATALOG_API_KEY"
const response = await fetch('https://api.getcatalog.ai/v1/usage?period=7d&page_size=5', {
method: 'GET',
headers: {
'x-api-key': 'YOUR_API_KEY'
}
});
const data = await response.json();
import requests
response = requests.get(
'https://api.getcatalog.ai/v1/usage?period=7d&page_size=5',
headers={
'x-api-key': 'YOUR_API_KEY'
}
)
data = response.json()
{
"data": [
{
"path": "/v1/listings",
"total_calls": 9
},
{
"path": "/v1/affiliate",
"total_calls": 8
},
{
"path": "/v1/vendors",
"total_calls": 6
},
{
"path": "/v1/agentic-search",
"total_calls": 4
},
{
"path": "/v1/collections",
"total_calls": 4
}
],
"pagination": {
"page": 1,
"page_size": 5,
"total_items": 16,
"total_pages": 4,
"has_next": true,
"has_prev": false
},
"meta": {
"period": "7d"
}
}
When to use: Monitor your API consumption and track usage patterns. See Rate Limits for quota information.
Request
string
required
Your API key for authentication
Query Parameters
string
default:"30d"
Time period for usage statisticsValid Values:
24h- Last 24 hours7d- Last 7 days30d- Last 30 days (default)90d- Last 90 daysall- All time usage
number
default:"1"
Page number for pagination (1-indexed)
number
default:"20"
Number of items per page (maximum 100)
Response
array
object
object
cURL
curl -X GET "https://api.getcatalog.ai/v1/usage?period=7d&page_size=5" \
-H "x-api-key: $CATALOG_API_KEY"
const response = await fetch('https://api.getcatalog.ai/v1/usage?period=7d&page_size=5', {
method: 'GET',
headers: {
'x-api-key': 'YOUR_API_KEY'
}
});
const data = await response.json();
import requests
response = requests.get(
'https://api.getcatalog.ai/v1/usage?period=7d&page_size=5',
headers={
'x-api-key': 'YOUR_API_KEY'
}
)
data = response.json()
{
"data": [
{
"path": "/v1/listings",
"total_calls": 9
},
{
"path": "/v1/affiliate",
"total_calls": 8
},
{
"path": "/v1/vendors",
"total_calls": 6
},
{
"path": "/v1/agentic-search",
"total_calls": 4
},
{
"path": "/v1/collections",
"total_calls": 4
}
],
"pagination": {
"page": 1,
"page_size": 5,
"total_items": 16,
"total_pages": 4,
"has_next": true,
"has_prev": false
},
"meta": {
"period": "7d"
}
}
⌘I